2 May 2012
gifecho
1
GIFLIB
GIFLIB Documentation

# gifecho

generate a GIF from ASCII text

      gifecho
          -v
          -s colormap-size
          -f foreground
          -c
          		R
          		G
          		B
          -t text
          -h
          gif-file

## Description

A program to generate GIF images out of regular text. Text can be one line or multi-line, and is converted using 8 by 8 fixed font.

This program reads stdin if no text is provided on the command line (-t), and will dump the created GIF file to stdout.

## Options

-v

  Verbose mode (show progress). Enables printout of running scan lines.

-s colormap-size

  Explicitly defines the size of the color map of the resulting gif image. Usually the image will be bicolor with fg as color 1, unless [-f] is explicitly given in case the color map size will be big enough to hold it. However it is sometimes convenient to set the color map size to certain size while the fg color is small mainly so this image may be merged with another (images must match color map size).

-f foreground

  Select foreground index (background is always 0). By default it is one and therefore the image result is bicolored. if FG is set to n then color map will be created with 2^k entries where 2^k > n for minimum k, assuming k <= 8. This color map will be all zeros except this forground index. This option is useful if this text image should be integrated into other image colormap using their colors.

-c R G B

  The color to use as the foreground color. White by default.

-t text

  One line of text can be provided on the command line. Note you must encapsulate the Text within quotes if it has spaces (The quotes themselves are not treated as part of the text). If no -t option is provided, stdin is read until end of file.

-h

  Print one line command line help, similar to Usage above.

## Notes

There is a hardcoded limit of 100 the number of lines.

## Author

Gershon Elber.